Skip to main content

Get general campaign information

GET 
/v1/campaigns/:campaignId

Gets the basic properties of a sponsored jobs campaign.

Request the employer.advertising.campaign.read OAuth scope for an employer access token.

OAuth scopeAccess token type
employer.advertising.campaign.read

Employer access token.

Request

Path Parameters

    campaignId stringrequired

    Campaign ID of the campaign to get.

Responses

Returns general campaign information.

Schema

    meta

    object

    Response-related metadata.

    status int32

    HTTP status code of the response.

    errors

    object[]

    Any errors that prevented successful processing of the request. If there were no errors, the value is null.

  • Array [

  • type string

    Name of the error.

    description string

    Human-readable description of the problem.

  • ]

  • rootLocation string

    Base URL of the Sponsored Jobs API.

    perPage int32

    For endpoints that return paginated results, the effective maximum number of entries returned on one page. The value may be smaller than the maximum you requested with the perPage parameter. If the endpoint returns a single result or doesn't paginate, the value is null.

    links

    object[]

    Resources related to the requested resource.

  • Array [

  • rel string

    The relationship between the requested resource and the related resource. These values are commonly used:

    • up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to.
    • next: The next page of entries in a paginated result.
    • prev: The previous page of entries in a paginated result.

    However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.

    href string

    Endpoint URL of the related resource. Can contain query string parameters. To get the complete URL, append the href to rootLocation.

  • ]

  • data

    object

    Name string

    Possible values: non-empty and <= 250 characters

    Campaign name. Use to identify the campaign later. The name must be unique within your employer account.

    Id string

    Campaign ID. Automatically generated when the campaign is created.

    Type string

    Possible values: [SOURCE, HOSTED]

    Type of job sponsored by the campaign. Either SOURCE (jobs gathered from the web, or sent to Indeed using an XML feed) or HOSTED (jobs posted using the Post a Job page).

    Status string

    Possible values: [ACTIVE, DELETED, PAUSED]

    Default value: ACTIVE

    Campaign status. PAUSED creates a campaign that does not start sponsoring jobs until you manually enable it, or temporarily stops a campaign from sponsoring jobs.

    CurrencyCode string

    ISO 4217 currency code of the currency for the campaign's budget.

    TrackingToken string

    Possible values: <= 255 characters

    Click-tracking token added to the job URL for sponsored clicks. Use it to identify clicks from Indeed and the campaign that sponsored them.

    Objective

    object

    Hiring goals for the campaign. Setting this field makes the campaign an objective-based campaign.

    See Setting Up a Sponsored Job Campaign.

    This value is a JSON object with:

    • objectiveType, which specifies the campaign objective
    • target, which specifies the goal metric for some objective types

    For example, to target 10 applications:

    {
    "objectiveType": "TARGET_APPLICATIONS",
    "target": 10
    }

    You can add an objective to a campaign that does not already have one, and you can change the target value. You cannot remove an objective or change its objectiveType.

    objectiveType

    string

    Possible values: [BALANCE, MAXIMUM, QUICK, TARGET_APPLICATIONS, TARGET_COST_PER_APPLICATION, SCHEDULED_INTERVIEWS]

    The campaign objective. You cannot update this field for average daily budget (ADB) campaigns (STANDARD and PREMIUM). Available values:

    • BALANCE: Maximize total applications for your budget while balancing spend across jobs.
    • MAXIMUM: Maximize total applications for your budget without balancing clicks across jobs.
    • QUICK: Five-day campaign with a higher budget for faster results. You cannot create or update campaigns with this objective through Sponsored Jobs API. You can still retrieve reports for campaigns with this objective if they were created in Indeed for Employers.
    • TARGET_APPLICATIONS: Aim for the number of applications specified by target. When the target is reached, spend on those jobs is greatly reduced and shifted elsewhere.
    • TARGET_COST_PER_APPLICATION: Aim to keep the cost per application below the value specified by target.
    • SCHEDULED_INTERVIEWS: Send screened candidates directly to interview and aim for the number of interviews specified by target. This objective requires an active Indeed Hiring Platform subscription and should be used only if the customer is ready to create hiring events for the included jobs.

    Campaigns created outside your application might use new objective types that your application does not yet support. Add fallback logic to handle unexpected objectiveType values.

    any

    NonSpendingReasons

    object[]

    List of reasons that are currently preventing the campaign from sponsoring jobs.

  • Array [

  • type string

    Possible values: [BEFORE_START_DATE, AFTER_END_DATE, ACCOUNT_MONTHLY_BUDGET_HIT, MONTHLY_BUDGET_HIT, ONETIME_BUDGET_HIT, JOB_SOURCE_NOT_VERIFIED, BILLING_PENDING, USER_PAUSED_CAMPAIGN, USER_DELETED_CAMPAIGN, TARGET_APPLICATIONS_HIT, OTHER]

    Identifier for the problem. Value is:

    • BEFORE_START_DATE: The current date in US Central Time is before the campaign start date.
    • AFTER_END_DATE: The current date in US Central Time is on or after the campaign end date.
    • ACCOUNT_MONTHLY_BUDGET_HIT: The employer account has already spent its budget this month.
    • MONTHLY_BUDGET_HIT: The campaign has already spent its budget this month.
    • ONETIME_BUDGET_HIT: The campaign has already spent its budget.
    • JOB_SOURCE_NOT_VERIFIED: The job source hasn't been verified by Indeed yet.
    • BILLING_PENDING: The employer account doesn't have valid billing information.
    • USER_PAUSED_CAMPAIGN: Campaign has been paused, as requested.
    • USER_DELETED_CAMPAIGN: The campaign has been deleted as requested.
    • TARGET_APPLICATIONS_HIT: The campaign has already received the requested number of applications.
    • OTHER: Unknown reason.
    description string

    Human-readable description of the problem.

  • ]

  • SpendingChannels SpendingChannel[]

    Possible values: [TMN]

    List of channels on which the campaign is spending. Excludes default channels.

    FundingSource string

    Funding source for the campaign:

    • Bonus Sponsored Job Credits: Funded with Annual Deals bonus credits.
    • Budget: Funded with regular budget.
    SponsorshipPlan string

    Possible values: [PREMIUM, STANDARD, ``]

    Sponsorship plan for the annual deals bonus credits-funded campaign.

    • PREMIUM: Campaign uses the premium plan.
    • STANDARD: Campaign uses the standard plan.
    • "" (empty string): Normal campaign.

    avgDailyBudgetConfig

    object

    adbBehaviour stringrequired

    Possible values: [AUTO]

    Required. Average daily budget (ADB) behavior. Valid value: AUTO.

    budgetBoostPercentage integer

    Possible values: <= 1500

    Boost the base average daily budget (ADB) per job by a percentage.

    Use this field only for flexible ADB campaigns. Do not use it for monthly or one-time campaigns.

    Newly added jobs, whether added manually or through query resolution, inherit the same percentage increase over their recommended budgets.

    Valid values: 0 to 1500.

Loading...

Was this page helpful?